Last modified: 2014-07-21 19:02:44 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 60453 - Core skins should initialise and include like other skins/extensions do
Core skins should initialise and include like other skins/extensions do
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
1.23.0
All All
: Low enhancement (vote)
: 1.24.0 release
Assigned To: Bartosz Dziewoński
:
Depends on:
Blocks: 27292 66440 68333
  Show dependency treegraph
 
Reported: 2014-01-26 23:45 UTC by Isarra
Modified: 2014-07-21 19:02 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Isarra 2014-01-26 23:45:08 UTC
Currently the core skins are set up such that they have a skinname.php file and a skinname directory and are automatically included as options if the skinname.php file is found in the main directory, but this setup doesn't scale.

Skins shouldn't have these loose files. All of the skin files should be in the skin's directory, and all skins should be included and initialised much like extensions are. Many non-core skins already do this.

Two issues with setting this up:
* There would need to be some sort of default to account for the transition on existing wikis.
* There would need to be a selection on install for which found skins will be made available, probably much the same as how found extensions can be selected to be enabled.
Comment 1 Bartosz Dziewoński 2014-06-21 09:53:53 UTC
This is now largely done! https://gerrit.wikimedia.org/r/118345 https://gerrit.wikimedia.org/r/135413 https://gerrit.wikimedia.org/r/138795

However, there is still a lot of code that expects Vector to be present, or hardcoding things for Vector.
Comment 2 Bartosz Dziewoński 2014-07-21 17:59:27 UTC
I'm going to mark this as FIXED for now. There is more work that can be done to make the situation better (and I am doing some of it), but the problem as described is comment 0 looks solved to me :)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links